Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 6)
@@ -424,7 +424,7 @@
                     if (ErrFlg)
                     {
                         TermRec = wrkCheck;
-                        sErrorMessage = wrkCheck.SendTitile + "／" + wrkCheck.SendMessage;
+                        sErrorMessage = wrkCheck.SendTitle + "／" + wrkCheck.SendMessage;
                         sBackColor = wrkCheck.BackColor;
                         sForeColor = wrkCheck.ForeColor;
 
@@ -494,7 +494,7 @@
                 WriteData.FromCode = CommonDefine.s_MsgBoardSystemCode;	                                    // 書込み者コード
                 WriteData.FromName = string.Format(CommonDefine.s_MsgBoardSystemNameFormat, "秘書");          // 書込み者名
 
-                WriteData.MessageTitile = CheckRec.SendTitile;                                              // 伝言タイトル
+                WriteData.MessageTitle = CheckRec.SendTitle;                                              // 伝言タイトル
 
                 // リンク情報
                 WriteData.LinkType = (int)CommonDefine.LinkType.ConstructionInfo;
@@ -558,14 +558,29 @@
                 int iCode2 = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("依頼受け中")).Key;
                 int iCode3 = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("見積提出")).Key;
 
-                string strSQL = string.Format("UPDATE CONSTRUCTIONBASEINFO SET CONSTRUCTIONSTATUSFLG = {0}", iCode1);
+                // 対象データが存在するかを確認する
+                string strSQL = "SELECT COUNT(*) FROM CONSTRUCTIONBASEINFO WHERE TRUNC(ESTIMATESSUBMITTEDDATE) != TO_DATE('0001/01/01','YYYY/MM/DD')";
+                strSQL += string.Format(" AND TRUNC(ESTIMATESSUBMITTEDDATE + {0})", s_NonOrderDay);
+                strSQL += string.Format(" < TO_DATE('{0}','YYYY/MM/DD')", DateTime.Now.ToShortDateString());
+                strSQL += string.Format(" AND CONSTRUCTIONSTATUSFLG IN({0}, {1})", iCode2, iCode3);
+                strSQL += string.Format(" AND ESTIMATETYPE IN ({0}, {1})", (int)CommonDefine.BaseInfoEstimateType.Normal, (int)CommonDefine.BaseInfoEstimateType.GetBudget);
+                ArrayList arList = new ArrayList();
+                if (!BaseDB.ExecuteReader(strSQL, ref arList))
+                {
+                    logger.ErrorFormat("工事基本情報更新エラー　非受注案件移行処理失敗：{0}：{1}", CommonMotions.GetMethodName(), strSQL);
+                    return;
+                }
+                object[] wrkcount = (object[])arList[0];
+                if (Common.CommonMotions.cnvInt(wrkcount[0]) == 0) return;
+
+                // 対象データが存在すれば更新する
+                strSQL = string.Format("UPDATE CONSTRUCTIONBASEINFO SET CONSTRUCTIONSTATUSFLG = {0}", iCode1);
                 strSQL += " WHERE CONSTRUCTIONCODE IN";
-                strSQL += " (SELECT CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO WHERE TRUNC(ESTIMATESSUBMITTEDDATE) != TO_DATE('001/01/01','YYYY/MM/DD')";
+                strSQL += " (SELECT CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO WHERE TRUNC(ESTIMATESSUBMITTEDDATE) != TO_DATE('0001/01/01','YYYY/MM/DD')";
                 strSQL += string.Format(" AND TRUNC(ESTIMATESSUBMITTEDDATE + {0})", s_NonOrderDay);
                 strSQL += string.Format(" < TO_DATE('{0}','YYYY/MM/DD')", DateTime.Now.ToShortDateString());
                 strSQL += string.Format(" AND CONSTRUCTIONSTATUSFLG IN({0}, {1})", iCode2, iCode3);
                 strSQL += string.Format(" AND ESTIMATETYPE IN ({0}, {1}))", (int)CommonDefine.BaseInfoEstimateType.Normal, (int)CommonDefine.BaseInfoEstimateType.GetBudget);
-
                 if (!BaseDB.ExecuteNonQuery(strSQL))
                 {
                     logger.ErrorFormat("工事基本情報更新エラー　非受注案件移行処理失敗：{0}：{1}", CommonMotions.GetMethodName(), strSQL);
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsUpDate.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsUpDate.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsUpDate.cs	(revision 6)
@@ -19,6 +19,7 @@
         private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
         #endregion
 
+        #region ファイルのハッシュ値と更新日付を確認する
         /// <summary>
         /// ファイルのハッシュ値と更新日付を確認する
         /// </summary>
@@ -34,6 +35,8 @@
 
                 // デバック以外は使わない
                 //return true;
+                // 接続できなければ処理しない
+                if (!Directory.Exists(CommonDefine.s_UPDATE_FILE_PATH)) return true;
 
                 // コピー元(サーバー)ファイルリストを取得する
                 string[] files = Directory.GetFiles(CommonDefine.s_UPDATE_FILE_PATH);
@@ -106,5 +109,6 @@
                 return false;
             }
         }
+        #endregion
     }
 }
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs	(revision 6)
@@ -31,9 +31,10 @@
         /// <summary>
         /// 工事基本情報フィールド並び
         /// </summary>
-        public enum ConstructionBaseInfoColumn
+        public enum TableColumn
         {
             CONSTRUCTION_CODE = 0,
+            TYINGFLG,
             CONSTRUCTION_YEAR,
             CONSTRUCTION_PERIOD,
             REQUESTED_DATE,
@@ -103,6 +104,7 @@
             string strcmd = "SELECT";
 
             strcmd += "  ConstructionCode";
+            strcmd += ", TyingFlg";
             strcmd += ", ConstructionYear";
             strcmd += ", ConstructionPeriod";
             strcmd += ", TO_CHAR(RequestedDate, 'YYYY/MM/DD')";
@@ -236,6 +238,7 @@
                     strcmd += " VALUES (";
 
                     strcmd += string.Format("  {0}", data.ConstructionCode);
+                    strcmd += string.Format(", {0}", data.TyingFlg);
                     strcmd += string.Format(", {0}", data.ConstructionYear);
                     strcmd += string.Format(", {0}", data.ConstructionPeriod);
 
@@ -345,6 +348,7 @@
                 strcmd += " SET";
 
                 strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode);
+                strcmd += string.Format(", TyingFlg = {0}", data.TyingFlg);
                 strcmd += string.Format(", ConstructionYear = {0}", data.ConstructionYear);
                 strcmd += string.Format(", ConstructionPeriod = {0}", data.ConstructionPeriod);
 
@@ -451,64 +455,65 @@
             try
             {
                 // データ取得
-                wrk.ConstructionCode = int.Parse(objwrk[(int)ConstructionBaseInfoColumn.CONSTRUCTION_CODE].ToString());
-                wrk.ConstructionYear = int.Parse(objwrk[(int)ConstructionBaseInfoColumn.CONSTRUCTION_YEAR].ToString());
-                wrk.ConstructionPeriod = int.Parse(objwrk[(int)ConstructionBaseInfoColumn.CONSTRUCTION_PERIOD].ToString());
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.CONSTRUCTION_CODE].ToString());
+                wrk.TyingFlg = int.Parse(objwrk[(int)TableColumn.TYINGFLG].ToString());
+                wrk.ConstructionYear = int.Parse(objwrk[(int)TableColumn.CONSTRUCTION_YEAR].ToString());
+                wrk.ConstructionPeriod = int.Parse(objwrk[(int)TableColumn.CONSTRUCTION_PERIOD].ToString());
 
-                wrk.RequestedDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.REQUESTED_DATE].ToString());
-                wrk.EstimatesSubmitDeadline = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.ESTIMATESSUBMITDEADLINE].ToString());
-                wrk.EstimatesSubmittedDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.ESTIMATESSUBMITTED_DATE].ToString());
-                wrk.ProvisionalOrderDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.PROVISIONALORDERDATE].ToString());
-                wrk.OrderDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.ORDER_DATE].ToString());
-                wrk.OrderStartingDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.ORDERSTARTINGDATE].ToString());
-                wrk.OrderCompletionDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.ORDERCOMPLETIONDATE].ToString());
-                wrk.PreparationStartDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.PREPARATIONSTARTDATE].ToString());
-                wrk.ConstructionStartingDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.CONSTRUCTIONSTARTINGDATE].ToString());
-                wrk.ConstructionCompletionDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.CONSTRUCTIONCOMPLETION_DATE].ToString());
-                wrk.NonOrderDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.NONORDERDATE].ToString());
+                wrk.RequestedDate = DateTime.Parse(objwrk[(int)TableColumn.REQUESTED_DATE].ToString());
+                wrk.EstimatesSubmitDeadline = DateTime.Parse(objwrk[(int)TableColumn.ESTIMATESSUBMITDEADLINE].ToString());
+                wrk.EstimatesSubmittedDate = DateTime.Parse(objwrk[(int)TableColumn.ESTIMATESSUBMITTED_DATE].ToString());
+                wrk.ProvisionalOrderDate = DateTime.Parse(objwrk[(int)TableColumn.PROVISIONALORDERDATE].ToString());
+                wrk.OrderDate = DateTime.Parse(objwrk[(int)TableColumn.ORDER_DATE].ToString());
+                wrk.OrderStartingDate = DateTime.Parse(objwrk[(int)TableColumn.ORDERSTARTINGDATE].ToString());
+                wrk.OrderCompletionDate = DateTime.Parse(objwrk[(int)TableColumn.ORDERCOMPLETIONDATE].ToString());
+                wrk.PreparationStartDate = DateTime.Parse(objwrk[(int)TableColumn.PREPARATIONSTARTDATE].ToString());
+                wrk.ConstructionStartingDate = DateTime.Parse(objwrk[(int)TableColumn.CONSTRUCTIONSTARTINGDATE].ToString());
+                wrk.ConstructionCompletionDate = DateTime.Parse(objwrk[(int)TableColumn.CONSTRUCTIONCOMPLETION_DATE].ToString());
+                wrk.NonOrderDate = DateTime.Parse(objwrk[(int)TableColumn.NONORDERDATE].ToString());
 
-                wrk.OrdersDecisionPrice = double.Parse(objwrk[(int)ConstructionBaseInfoColumn.ORDERS_DECISION_PRICE].ToString());
-                wrk.OrdersDecisionPriceInTax = double.Parse(objwrk[(int)ConstructionBaseInfoColumn.ORDERS_DECISION_PRICE_IN_TAX].ToString());
+                wrk.OrdersDecisionPrice = double.Parse(objwrk[(int)TableColumn.ORDERS_DECISION_PRICE].ToString());
+                wrk.OrdersDecisionPriceInTax = double.Parse(objwrk[(int)TableColumn.ORDERS_DECISION_PRICE_IN_TAX].ToString());
 
-                wrk.SalesPersonCode = int.Parse(objwrk[(int)ConstructionBaseInfoColumn.SALES_PERSON_CODE].ToString());
-                wrk.ConstructionPersonCode = int.Parse(objwrk[(int)ConstructionBaseInfoColumn.CONSTRPERSONCODE].ToString());
-                wrk.ConstrSubPersonCode = int.Parse(objwrk[(int)ConstructionBaseInfoColumn.CONSTRSUBPERSONCODE].ToString());
-                wrk.ConstructionInstructor = int.Parse(objwrk[(int)ConstructionBaseInfoColumn.CONSTRUCTIONINSTRUCTOR].ToString());
+                wrk.SalesPersonCode = int.Parse(objwrk[(int)TableColumn.SALES_PERSON_CODE].ToString());
+                wrk.ConstructionPersonCode = int.Parse(objwrk[(int)TableColumn.CONSTRPERSONCODE].ToString());
+                wrk.ConstrSubPersonCode = int.Parse(objwrk[(int)TableColumn.CONSTRSUBPERSONCODE].ToString());
+                wrk.ConstructionInstructor = int.Parse(objwrk[(int)TableColumn.CONSTRUCTIONINSTRUCTOR].ToString());
 
-                wrk.TransferConstruction = int.Parse(objwrk[(int)ConstructionBaseInfoColumn.TRANSFERCONSTRUCTION].ToString());
-                wrk.TransferConstructionDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.TRANSFERCONSTRUCTIONDATE].ToString());
+                wrk.TransferConstruction = int.Parse(objwrk[(int)TableColumn.TRANSFERCONSTRUCTION].ToString());
+                wrk.TransferConstructionDate = DateTime.Parse(objwrk[(int)TableColumn.TRANSFERCONSTRUCTIONDATE].ToString());
 
-                wrk.OrderersDivision = int.Parse(objwrk[(int)ConstructionBaseInfoColumn.ORDERERS_DIVISION].ToString());
-                wrk.OrderersCode = int.Parse(objwrk[(int)ConstructionBaseInfoColumn.ORDERERS_CODE].ToString());
+                wrk.OrderersDivision = int.Parse(objwrk[(int)TableColumn.ORDERERS_DIVISION].ToString());
+                wrk.OrderersCode = int.Parse(objwrk[(int)TableColumn.ORDERERS_CODE].ToString());
 
-                wrk.EstimatesExpirationDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.ESTIMATESEXPIRATIONDATE].ToString());
-                wrk.ConstructionPeriodStart = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.CONSTRUCTIONPERIODSTART].ToString());
-                wrk.ConstructionPeriodEnd = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.CONSTRUCTIONPERIODEND].ToString());
-                wrk.ConstructionPeriodStart2 = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.CONSTRUCTIONPERIODSTART2].ToString());
-                wrk.ConstructionPeriodEnd2 = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.CONSTRUCTIONPERIODEND2].ToString());
+                wrk.EstimatesExpirationDate = DateTime.Parse(objwrk[(int)TableColumn.ESTIMATESEXPIRATIONDATE].ToString());
+                wrk.ConstructionPeriodStart = DateTime.Parse(objwrk[(int)TableColumn.CONSTRUCTIONPERIODSTART].ToString());
+                wrk.ConstructionPeriodEnd = DateTime.Parse(objwrk[(int)TableColumn.CONSTRUCTIONPERIODEND].ToString());
+                wrk.ConstructionPeriodStart2 = DateTime.Parse(objwrk[(int)TableColumn.CONSTRUCTIONPERIODSTART2].ToString());
+                wrk.ConstructionPeriodEnd2 = DateTime.Parse(objwrk[(int)TableColumn.CONSTRUCTIONPERIODEND2].ToString());
 
-                wrk.StartDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.START_DATE].ToString());
-                wrk.EndDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.END_DATE].ToString());
+                wrk.StartDate = DateTime.Parse(objwrk[(int)TableColumn.START_DATE].ToString());
+                wrk.EndDate = DateTime.Parse(objwrk[(int)TableColumn.END_DATE].ToString());
 
-                wrk.PurchaseOrderMailingDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.PURCHASEORDERMAILINGDATE].ToString());
-                wrk.PurchaseOrderReturnDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.PURCHASEORDERRETURNDATE].ToString());
-                wrk.PurchaseOrderReturnCheckDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.PURCHASEORDERRETURNCHECKDATE].ToString());
+                wrk.PurchaseOrderMailingDate = DateTime.Parse(objwrk[(int)TableColumn.PURCHASEORDERMAILINGDATE].ToString());
+                wrk.PurchaseOrderReturnDate = DateTime.Parse(objwrk[(int)TableColumn.PURCHASEORDERRETURNDATE].ToString());
+                wrk.PurchaseOrderReturnCheckDate = DateTime.Parse(objwrk[(int)TableColumn.PURCHASEORDERRETURNCHECKDATE].ToString());
 
-                wrk.ConsumptionTaxFlg = int.Parse(objwrk[(int)ConstructionBaseInfoColumn.CONSUMPTIONTAX_FLG].ToString());
-                wrk.PrimeContractorFlg = int.Parse(objwrk[(int)ConstructionBaseInfoColumn.PRIMECONTRACTOR_FLG].ToString());
-                wrk.SalesCostFlg = int.Parse(objwrk[(int)ConstructionBaseInfoColumn.SALESCOST_FLG].ToString());
-                wrk.ConstructionStatusFlg = int.Parse(objwrk[(int)ConstructionBaseInfoColumn.CONSTRUCTIONSTATUS_FLG].ToString());
+                wrk.ConsumptionTaxFlg = int.Parse(objwrk[(int)TableColumn.CONSUMPTIONTAX_FLG].ToString());
+                wrk.PrimeContractorFlg = int.Parse(objwrk[(int)TableColumn.PRIMECONTRACTOR_FLG].ToString());
+                wrk.SalesCostFlg = int.Parse(objwrk[(int)TableColumn.SALESCOST_FLG].ToString());
+                wrk.ConstructionStatusFlg = int.Parse(objwrk[(int)TableColumn.CONSTRUCTIONSTATUS_FLG].ToString());
 
-                wrk.ConstructionType = int.Parse(objwrk[(int)ConstructionBaseInfoColumn.CONSTRUCTIONTYPE].ToString());
-                wrk.EstimateType = int.Parse(objwrk[(int)ConstructionBaseInfoColumn.ESTIMATETYPE].ToString());
+                wrk.ConstructionType = int.Parse(objwrk[(int)TableColumn.CONSTRUCTIONTYPE].ToString());
+                wrk.EstimateType = int.Parse(objwrk[(int)TableColumn.ESTIMATETYPE].ToString());
 
-                wrk.BillingStartDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.BILLINGSTARTDATE].ToString());
-                wrk.BillingDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.BILLINGDATE].ToString());
-                wrk.BillingSplitFlg = int.Parse(objwrk[(int)ConstructionBaseInfoColumn.BILLINGSPLITFLG].ToString());
-                wrk.BillingSendDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.BILLINGSENDDATE].ToString());
+                wrk.BillingStartDate = DateTime.Parse(objwrk[(int)TableColumn.BILLINGSTARTDATE].ToString());
+                wrk.BillingDate = DateTime.Parse(objwrk[(int)TableColumn.BILLINGDATE].ToString());
+                wrk.BillingSplitFlg = int.Parse(objwrk[(int)TableColumn.BILLINGSPLITFLG].ToString());
+                wrk.BillingSendDate = DateTime.Parse(objwrk[(int)TableColumn.BILLINGSENDDATE].ToString());
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.ENTRY_DATE].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoColumn.UPDATE_DATE].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.ENTRY_DATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UPDATE_DATE].ToString());
             }
             catch (OracleException oraex)
             {
@@ -542,109 +547,112 @@
                 strcmd += " SET";
                 switch (FeildNo)
                 {
-                    case (int)ConstructionBaseInfoColumn.CONSTRUCTION_CODE:
+                    case (int)TableColumn.CONSTRUCTION_CODE:
                         strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.CONSTRUCTION_YEAR:
+                    case (int)TableColumn.TYINGFLG:
+                        strcmd += string.Format(" TyingFlg = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.CONSTRUCTION_YEAR:
                         strcmd += string.Format(" ConstructionYear = {0}", ((int)value).ToString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.CONSTRUCTION_PERIOD:
+                    case (int)TableColumn.CONSTRUCTION_PERIOD:
                         strcmd += string.Format(" ConstructionPeriod = {0}", ((int)value).ToString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.REQUESTED_DATE:
+                    case (int)TableColumn.REQUESTED_DATE:
                         strcmd += string.Format(" RequestedDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.ESTIMATESSUBMITDEADLINE:
+                    case (int)TableColumn.ESTIMATESSUBMITDEADLINE:
                         strcmd += string.Format(" EstimatesSubmitDeadline = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.ESTIMATESSUBMITTED_DATE:
+                    case (int)TableColumn.ESTIMATESSUBMITTED_DATE:
                         strcmd += string.Format(" EstimatesSubmittedDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.ORDER_DATE:
+                    case (int)TableColumn.ORDER_DATE:
                         strcmd += string.Format(" OrderDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.ORDERSTARTINGDATE:
+                    case (int)TableColumn.ORDERSTARTINGDATE:
                         strcmd += string.Format(" OrderStartingDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.ORDERCOMPLETIONDATE:
+                    case (int)TableColumn.ORDERCOMPLETIONDATE:
                         strcmd += string.Format(" OrderCompletionDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.CONSTRUCTIONSTARTINGDATE:
+                    case (int)TableColumn.CONSTRUCTIONSTARTINGDATE:
                         strcmd += string.Format(" ConstructionStartingDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.CONSTRUCTIONCOMPLETION_DATE:
+                    case (int)TableColumn.CONSTRUCTIONCOMPLETION_DATE:
                         strcmd += string.Format(" ConstructionCompletionDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.ORDERS_DECISION_PRICE:
+                    case (int)TableColumn.ORDERS_DECISION_PRICE:
                         strcmd += string.Format(" OrdersDecisionPrice = {0}", ((int)value).ToString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.ORDERS_DECISION_PRICE_IN_TAX:
+                    case (int)TableColumn.ORDERS_DECISION_PRICE_IN_TAX:
                         strcmd += string.Format(" OrdersDecisionPriceInTax = {0}", ((int)value).ToString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.SALES_PERSON_CODE:
+                    case (int)TableColumn.SALES_PERSON_CODE:
                         strcmd += string.Format(" SalesPersonCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.CONSTRPERSONCODE:
+                    case (int)TableColumn.CONSTRPERSONCODE:
                         strcmd += string.Format(" ConstructionPersonCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.CONSTRSUBPERSONCODE:
+                    case (int)TableColumn.CONSTRSUBPERSONCODE:
                         strcmd += string.Format(" ConstrSubPersonCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.CONSTRUCTIONINSTRUCTOR:
+                    case (int)TableColumn.CONSTRUCTIONINSTRUCTOR:
                         strcmd += string.Format(" ConstructionInstructor = {0}", ((int)value).ToString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.TRANSFERCONSTRUCTION:
+                    case (int)TableColumn.TRANSFERCONSTRUCTION:
                         strcmd += string.Format(" TransferConstruction = {0}", ((int)value).ToString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.TRANSFERCONSTRUCTIONDATE:
+                    case (int)TableColumn.TRANSFERCONSTRUCTIONDATE:
                         strcmd += string.Format(" TransferConstructionDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.ORDERERS_DIVISION:
+                    case (int)TableColumn.ORDERERS_DIVISION:
                         strcmd += string.Format(" OrderersDivision = {0}", ((int)value).ToString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.ORDERERS_CODE:
+                    case (int)TableColumn.ORDERERS_CODE:
                         strcmd += string.Format(" OrderersCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.ESTIMATESEXPIRATIONDATE:
+                    case (int)TableColumn.ESTIMATESEXPIRATIONDATE:
                         strcmd += string.Format(" EstimatesExpirationDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.CONSTRUCTIONPERIODSTART:
+                    case (int)TableColumn.CONSTRUCTIONPERIODSTART:
                         strcmd += string.Format(" ConstructionPeriodStart = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.CONSTRUCTIONPERIODEND:
+                    case (int)TableColumn.CONSTRUCTIONPERIODEND:
                         strcmd += string.Format(" ConstructionPeriodEnd = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.START_DATE:
+                    case (int)TableColumn.START_DATE:
                         strcmd += string.Format(" StartDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.END_DATE:
+                    case (int)TableColumn.END_DATE:
                         strcmd += string.Format(" EndDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.CONSUMPTIONTAX_FLG:
+                    case (int)TableColumn.CONSUMPTIONTAX_FLG:
                         strcmd += string.Format(" ConsumptionTaxFlg = {0}", ((int)value).ToString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.PRIMECONTRACTOR_FLG:
+                    case (int)TableColumn.PRIMECONTRACTOR_FLG:
                         strcmd += string.Format(" PrimeContractorFlg = {0}", ((int)value).ToString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.SALESCOST_FLG:
+                    case (int)TableColumn.SALESCOST_FLG:
                         strcmd += string.Format(" SalesCostFlg = {0}", ((int)value).ToString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.CONSTRUCTIONSTATUS_FLG:
+                    case (int)TableColumn.CONSTRUCTIONSTATUS_FLG:
                         strcmd += string.Format(" ConstructionStatusFlg = {0}", ((int)value).ToString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.CONSTRUCTIONTYPE:
+                    case (int)TableColumn.CONSTRUCTIONTYPE:
                         strcmd += string.Format(" ConstructionType = {0}", ((int)value).ToString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.ESTIMATETYPE:
+                    case (int)TableColumn.ESTIMATETYPE:
                         strcmd += string.Format(" EstimateType = {0}", ((int)value).ToString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.BILLINGSTARTDATE:
+                    case (int)TableColumn.BILLINGSTARTDATE:
                         strcmd += string.Format(", BillingStartDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.BILLINGDATE:
+                    case (int)TableColumn.BILLINGDATE:
                         strcmd += string.Format(" BillingDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)ConstructionBaseInfoColumn.BILLINGSPLITFLG:
+                    case (int)TableColumn.BILLINGSPLITFLG:
                         strcmd += string.Format(" BillingSplitFlg = {0}", ((int)value).ToString());
                         break;
                 }
@@ -680,7 +688,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(ConstructionCode) FROM ConstructionBaseInfo" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(ConstructionCode), 0) FROM ConstructionBaseInfo" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
@@ -748,6 +756,13 @@
                 // SQL実行
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
 
+                //strcmd = "UPDATE ConstructionBaseInfo SET EntryDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                //strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                //strcmd += CreatePrimarykeyString(FromCode);
+
+                //// SQL実行
+                //if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
                 return true;
             }
             catch (Exception ex)
@@ -872,5 +887,44 @@
             }
         }
         #endregion
+
+        #region 工事番号の枝番が最大値のものを取得する
+        /// <summary>
+        /// 工事番号の枝番が最大値のものを取得する
+        /// </summary>
+        /// <param name="NowCode"></param>
+        /// <returns></returns>
+        public int CreateNextBranchCounstructionCode(int NowCode)
+        {
+            IOConstructionBaseInfo cbDB = new IOConstructionBaseInfo();                // 工事基本情報
+            try
+            {
+                int ConstructionCode = -1;
+                
+                // 枝番最大値の工事番号取得
+                string strSQL = "SELECT NVL(MAX(CONSTRUCTIONCODE), -1) FROM CONSTRUCTIONBASEINFO";
+                strSQL += string.Format(" WHERE TRUNC(CONSTRUCTIONCODE / 100) = {0}", CommonMotions.cnvTruncate(NowCode / 100));
+                ArrayList arList = new ArrayList();
+
+                // データが無ければ抜ける
+                if (!cbDB.ExecuteReader(strSQL, ref arList)) return ConstructionCode;
+                
+                object[] wrkobj = (object[])arList[0];
+                ConstructionCode = CommonMotions.cnvInt(wrkobj[0]);
+                if (ConstructionCode > 1) ConstructionCode++;
+
+                return ConstructionCode;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return -1;
+            }
+            finally
+            {
+                cbDB.close(); cbDB = null;
+            }
+        }
+        #endregion
     }
 }
